KDE上用Emacs真是一言难尽

先是下载好不能打开,因为是emacs GUI是基于gtk的

然后是没法最大化 https://www.reddit.com/r/kde/comments/6c6u6e/maximized_window_isnt_completely_maximized/ 还好都解决了。。

不要“下载”Emacs啊,快用你无敌的pacman想想办法啊。

3 个赞

:joy: 勉强能用

…gtk和KDE并不对立呀,一个是库,一个是桌面…

遇到问题->谷歌->找到答案难道不是最基础的 上网冲浪 Linux技能吗,你的问题不都顺利解决了吗,怎么就一言难尽了呢 :face_with_monocle: 想要最完美的OOTB体验或许不应该用Arch系Linux?

还有KDE表示不背锅 :sweat_smile:

1 个赞
sudo pacman -S emacs

之后没有任何问题,我非常确信,因为前段时间我就是在 KDE 上用的 Emacs。

还有就是 Linux 上面,程序基于 kde 还是 qt 之类的,和用哪种 DE 是不冲突的。简而言之就是都可以用。

1 个赞

小小吐槽就不at各位了,我用的是Manjaro KDE,Arch系的小白系统就是为了开箱能用,然鹅Emacs是打不开(说的下载其实就是pacman,我觉得没差,刚装的KDE,之前一直用gnome),后来搜来搜去最后还是tweak一些脚本来解决(详见第一个链接,里面有人吐槽KDE Dev并没有照顾到Emacs用户),第二个无法全屏,也是搜了好半天,reddit也有几个小吐槽。 开帖目的就是吐槽开箱体验,用当然是没问题的,搜索带猜花了不到半个小时就弄好了,只是觉得光boot一个Emacs还得折腾是有点稀奇。

歪个楼,事实上emacs的GUI不是基于纯gtk的,你想要它是纯gtk的还要去看看pgtk分支

pacman安装的如果打不开请给Manjaro报bug。发行版的锅,Emacs不背。

我kde桌面用emacs没啥问题,kde有设置gtk外观的选项啊,包名好像是kde-gtk-config5和kde-gtk-config5-gtk3,openSUSE是这两个名字,没用过arch系的不知道是不是这两个包,arch的wiki这么NB,查查看么 :laughing:

Linux就别期望开箱即用,降低期望才行

但是KDE打不开Emacs也太奇怪了,我在Arch和NixOS上用KDE都能运行Emacs。而且楼主他说是“下载”的,我才觉得他是不是下了哪里的非官方二进制,依赖缺了

我之前就是用的 Manjaro KDE,emacs 就是 pacman 装的。。。你是咋搞了之后能用了?

在本地创建个.Xresources然后在里面加一个变量就可以打开了

这个肯定是有问题了,你命令行运行看看是什么错误呢

1 个赞

是哪个变量?

一直在 KDE 上使用,没发现什么问题,有可能遇到过,不过忘记了😅。

看了这个帖子,昨天还专门装了一次 kde 试了试,结果没发现问题

archlinux

完完全全按照这个步骤弄的,然后就可以了,变量是 *.WINDOW_FOREGROUND: white

真的是KDE的锅么?纯小白前两天刚装上Kubuntu直接从Discover里装的Emacs什么问题也没有,比Windows还简单~我还是第一次用GNU/Linux呢 :joy: